[morty,2/2] Revert "epiphany: remove unnecessary libwnck3 dependency"

Message ID 1479837333-18054-2-git-send-email-ross.burton@intel.com
State New
Headers show

Commit Message

Ross Burton Nov. 22, 2016, 5:55 p.m.
This version of epiphany still needs libwnck3.

This reverts commit fb5c4f181176710a4cfb3c875b5edb4e5aa5df73.

Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 meta/recipes-gnome/epiphany/epiphany_3.20.3.bb | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

-- 
2.8.1

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Comments

Randy MacLeod Nov. 26, 2016, 12:06 a.m. | #1
Armin,

Probably a US Thanksgiving glitch but...

Morty needs both these patches to have an, err build epiphany.

I don't see a commit on morty or the non-existent morty-next.
What's the plan?

../Randy



Is there a plan to
On 2016-11-22 12:55 PM, Ross Burton wrote:
> This version of epiphany still needs libwnck3.

>

> This reverts commit fb5c4f181176710a4cfb3c875b5edb4e5aa5df73.

>

> Signed-off-by: Ross Burton <ross.burton@intel.com>

> ---

>  meta/recipes-gnome/epiphany/epiphany_3.20.3.bb | 4 +++-

>  1 file changed, 3 insertions(+), 1 deletion(-)

>

> diff --git a/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb b/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

> index 9115892..eba480b 100644

> --- a/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

> +++ b/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

> @@ -2,10 +2,11 @@ SUMMARY = "WebKit based web browser for GNOME"

>  LICENSE = "GPLv2+"

>  LIC_FILES_CHKSUM = "file://COPYING;md5=751419260aa954499f7abaabaa882bbe"

>

> -DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates avahi libnotify gcr \

> +DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates avahi libnotify gcr libwnck3 \

>  	   gsettings-desktop-schemas gnome-desktop3 libxml2-native intltool-native"

>

>  inherit gnomebase gsettings distro_features_check upstream-version-is-even

> +# libwnck3 is x11 only

>  REQUIRED_DISTRO_FEATURES = "x11"

>

>  SRC_URI += "file://0001-yelp.m4-drop-the-check-for-itstool.patch"

> @@ -21,3 +22,4 @@ do_configure_prepend() {

>  FILES_${PN} += "${datadir}/appdata ${datadir}/dbus-1 ${datadir}/gnome-shell/search-providers"

>  RDEPENDS_${PN} = "iso-codes adwaita-icon-theme"

>  RRECOMMENDS_${PN} = "ca-certificates"

> +

>



-- 
# Randy MacLeod. SMTS, Linux, Wind River
Direct: 613.963.1350 | 350 Terry Fox Drive, Suite 200, Ottawa, ON, 
Canada, K2K 2W5
-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Armin Kuster Nov. 26, 2016, 12:32 a.m. | #2
On 11/25/2016 04:06 PM, Randy MacLeod wrote:
> Armin,

>

> Probably a US Thanksgiving glitch but...

>

> Morty needs both these patches to have an, err build epiphany.

>

> I don't see a commit on morty or the non-existent morty-next.

> What's the plan?


I will take a look and do the needful. Thanks for the pointer.

- armin
>

> ../Randy

>

>

>

> Is there a plan to

> On 2016-11-22 12:55 PM, Ross Burton wrote:

>> This version of epiphany still needs libwnck3.

>>

>> This reverts commit fb5c4f181176710a4cfb3c875b5edb4e5aa5df73.

>>

>> Signed-off-by: Ross Burton <ross.burton@intel.com>

>> ---

>>  meta/recipes-gnome/epiphany/epiphany_3.20.3.bb | 4 +++-

>>  1 file changed, 3 insertions(+), 1 deletion(-)

>>

>> diff --git a/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb 

>> b/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

>> index 9115892..eba480b 100644

>> --- a/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

>> +++ b/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

>> @@ -2,10 +2,11 @@ SUMMARY = "WebKit based web browser for GNOME"

>>  LICENSE = "GPLv2+"

>>  LIC_FILES_CHKSUM = 

>> "file://COPYING;md5=751419260aa954499f7abaabaa882bbe"

>>

>> -DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates 

>> avahi libnotify gcr \

>> +DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates 

>> avahi libnotify gcr libwnck3 \

>>         gsettings-desktop-schemas gnome-desktop3 libxml2-native 

>> intltool-native"

>>

>>  inherit gnomebase gsettings distro_features_check 

>> upstream-version-is-even

>> +# libwnck3 is x11 only

>>  REQUIRED_DISTRO_FEATURES = "x11"

>>

>>  SRC_URI += "file://0001-yelp.m4-drop-the-check-for-itstool.patch"

>> @@ -21,3 +22,4 @@ do_configure_prepend() {

>>  FILES_${PN} += "${datadir}/appdata ${datadir}/dbus-1 

>> ${datadir}/gnome-shell/search-providers"

>>  RDEPENDS_${PN} = "iso-codes adwaita-icon-theme"

>>  RRECOMMENDS_${PN} = "ca-certificates"

>> +

>>

>

>


-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core
Armin Kuster Nov. 26, 2016, 3:44 p.m. | #3
Randy,

On 11/25/2016 04:06 PM, Randy MacLeod wrote:
> Armin,

> 

> Probably a US Thanksgiving glitch but...

> 

> Morty needs both these patches to have an, err build epiphany.


> 


> I don't see a commit on morty or the non-existent morty-next.

> What's the plan?


I just updated my akuster/morty-next contib branch with this and several
security fixes.

- armin
> 

> ../Randy

> 

> 

> 

> Is there a plan to

> On 2016-11-22 12:55 PM, Ross Burton wrote:

>> This version of epiphany still needs libwnck3.

>>

>> This reverts commit fb5c4f181176710a4cfb3c875b5edb4e5aa5df73.

>>

>> Signed-off-by: Ross Burton <ross.burton@intel.com>

>> ---

>>  meta/recipes-gnome/epiphany/epiphany_3.20.3.bb | 4 +++-

>>  1 file changed, 3 insertions(+), 1 deletion(-)

>>

>> diff --git a/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

>> b/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

>> index 9115892..eba480b 100644

>> --- a/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

>> +++ b/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb

>> @@ -2,10 +2,11 @@ SUMMARY = "WebKit based web browser for GNOME"

>>  LICENSE = "GPLv2+"

>>  LIC_FILES_CHKSUM = "file://COPYING;md5=751419260aa954499f7abaabaa882bbe"

>>

>> -DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates

>> avahi libnotify gcr \

>> +DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates

>> avahi libnotify gcr libwnck3 \

>>         gsettings-desktop-schemas gnome-desktop3 libxml2-native

>> intltool-native"

>>

>>  inherit gnomebase gsettings distro_features_check

>> upstream-version-is-even

>> +# libwnck3 is x11 only

>>  REQUIRED_DISTRO_FEATURES = "x11"

>>

>>  SRC_URI += "file://0001-yelp.m4-drop-the-check-for-itstool.patch"

>> @@ -21,3 +22,4 @@ do_configure_prepend() {

>>  FILES_${PN} += "${datadir}/appdata ${datadir}/dbus-1

>> ${datadir}/gnome-shell/search-providers"

>>  RDEPENDS_${PN} = "iso-codes adwaita-icon-theme"

>>  RRECOMMENDS_${PN} = "ca-certificates"

>> +

>>

> 

> 

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb b/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb
index 9115892..eba480b 100644
--- a/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb
+++ b/meta/recipes-gnome/epiphany/epiphany_3.20.3.bb
@@ -2,10 +2,11 @@  SUMMARY = "WebKit based web browser for GNOME"
 LICENSE = "GPLv2+"
 LIC_FILES_CHKSUM = "file://COPYING;md5=751419260aa954499f7abaabaa882bbe"
 
-DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates avahi libnotify gcr \
+DEPENDS = "libsoup-2.4 webkitgtk gtk+3 iso-codes ca-certificates avahi libnotify gcr libwnck3 \
 	   gsettings-desktop-schemas gnome-desktop3 libxml2-native intltool-native"
 
 inherit gnomebase gsettings distro_features_check upstream-version-is-even
+# libwnck3 is x11 only
 REQUIRED_DISTRO_FEATURES = "x11"
 
 SRC_URI += "file://0001-yelp.m4-drop-the-check-for-itstool.patch"
@@ -21,3 +22,4 @@  do_configure_prepend() {
 FILES_${PN} += "${datadir}/appdata ${datadir}/dbus-1 ${datadir}/gnome-shell/search-providers"
 RDEPENDS_${PN} = "iso-codes adwaita-icon-theme"
 RRECOMMENDS_${PN} = "ca-certificates"
+